/// <reference types="node" />
import type { UrlWithStringQuery } from 'node:url';
export declare function isExternalHref(href: string): boolean;
export declare function longLink(href: string): string;
export declare function shortLink(href: string): string;
export declare const MEDIA_FORMATS: RegExp;
export declare function isMediaLink(link: string): boolean;
type LocalUrlInfo = Pick<UrlWithStringQuery, 'hash' | 'search'> & {
    path: NormalizedPath;
};
export declare function parseLocalUrl<T = LocalUrlInfo>(url: string | undefined): T | null;
export declare const LINK_KEYS_LEADING_CONFIG: string[];
export declare const LINK_KEYS_PAGE_CONSTRUCTOR_CONFIG: string[];
export declare const LINK_KEYS: string[];
export declare function walkLinks(object: object, modify: (value: string) => string | void): any;
export {};
